Compatibility matrix

Component compatibility with the Cardano node

This Cardano components compatibility matrix shows the runtime Cardano component dependencies on a particular version of cardano-node. (It does not reflect any stacks.) The compatibility matrix should be read in conjunction with the Cardano component dependencies definition.

If you only require using the node, we recommend the latest node version. However, if you need to use all the compatible components, we recommend using version 1.35.7.

Cardano NodeCardano DB SyncSmashCardano Rosetta ServerCardano GraphQLCardano ExplorerCardano Wallet
8.7.3 (minor bug fix)TBDTBDTBDTBDTBDTBD
8.7.2 (major update)TBDTBDTBDTBDTBDTBD
8.1.2 (minor update)TBDTBDTBDTBDTBDTBD
8.1.1 (bug fix)TBDTBDTBDTBDTBDTBD
8.0.0 (major)TBDTBDTBDTBDTBDTBD
1.35.7 (bug fix)13.0.5/13.1.0.0See DB Sync2.0.0/ 2.1.07.0.2 / 8.0.01.6.02022-12-14
1.35.6 (new features)13.0.5/13.1.0.0See DB Sync2.0.0/ 2.1.07.0.2 / 8.0.01.6.02022-12-14
1.35.5 (bug fix)13.0.5/13.1.0.0See DB Sync2.0.0/ 2.1.07.0.2 / 8.0.01.6.02022-12-14
1.35.4 (major)13.0.5/13.1.0.0See DB Sync2.0.0 / 2.1.07.0.2 / 8.0.01.6.02022-12-14
1.35.3 (bug fix)13.0.5TBC2.0.07.0.21.6.02022-10-06
1.34.112.0.2TBC1.7.06.2.01.6.02022-05-27
1.34.012.0.2TBC1.7.06.2.01.6.0TBC
1.33.012.0.2TBC1.7.06.2.01.6.02022-01-18
1.32.12021-12-15
1.31.012.0.21.6.16.1.0
1.30.111.0.3, 11.0.41.6.11.5.06.0.01.6.02021-11-11
1.29.011.0.01.6.01.4.05.1.01.6.02021-09-09
1.2710.0.11.3.05.0.02021-06-11
1.26.29.0.0
1.25.18.0.0, 9.0.01.4.01.1.0, 1.2.13.2.01.4.02021.02.12, 2021.02.15
1.24.27.1.01.3.01.0.03.1.11.2.12020.12.21, 2020.01.12
1.21.15.0.2, 5.0.3, 6.0.01.2.02.2.12020.10.13
1.20.05.0.1, 5.0.32.2.01.2.02020.9.22, 2020.9.30
1.19.15.0.0, 5.0.1, 5.0.32.1.01.1.02020.9.11
1.19.01.1.0
1.18.04.0.0
1.18.03.1.01.0.12.0.01.0.12020.8.3

The following diagram outlines the various component dependencies:

component dependencies